org.jfree.chart.title

## Class LegendItemBlockContainer

- java.lang.Object
- - org.jfree.chart.block.AbstractBlock
  - - org.jfree.chart.block.BlockContainer
    - - org.jfree.chart.title.LegendItemBlockContainer

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Block, Drawable, PublicCloneable

      public class LegendItemBlockContainer
      extends BlockContainer

  A container that holds all the pieces of a single legend item.
  Since:
    1.0.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegendItemBlockContainer(Arrangement arrangement, Dataset dataset, java.lang.Comparable seriesKey)` Creates a new legend item block.
    `LegendItemBlockContainer(Arrangement arrangement, int datasetIndex, int series)` Deprecated. As of 1.0.6, use the other constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area, java.lang.Object params)` Draws the block within the specified area.
    `Dataset` | `getDataset()` Returns a reference to the dataset for the associated legend item.
    `int` | `getDatasetIndex()` Deprecated. As of 1.0.6, use the `getDataset()` method.
    `int` | `getSeriesIndex()` Returns the series index.
    `java.lang.Comparable` | `getSeriesKey()` Returns the series key.
    `java.lang.String` | `getToolTipText()` Returns the tool tip text.
    `java.lang.String` | `getURLText()` Returns the URL text.
    `void` | `setToolTipText(java.lang.String text)` Sets the tool tip text.
    `void` | `setURLText(java.lang.String text)` Sets the URL text.

    - ### Methods inherited from class org.jfree.chart.block.BlockContainer

      `add, add, arrange, clear, clone, draw, equals, getArrangement, getBlocks, isEmpty, setArrangement`

    - ### Methods inherited from class org.jfree.chart.block.AbstractBlock

      `arrange, calculateTotalHeight, calculateTotalWidth, drawBorder, getBorder, getBounds, getContentXOffset, getContentYOffset, getFrame, getHeight, getID, getMargin, getPadding, getWidth, setBorder, setBorder, setBounds, setFrame, setHeight, setID, setMargin, setMargin, setPadding, setPadding, setWidth, toContentConstraint, trimBorder, trimMargin, trimPadding, trimToContentHeight, trimToContentWidth`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jfree.chart.block.Block

      `arrange, getBounds, getID, setBounds, setID`

- - ### Constructor Detail

    - #### LegendItemBlockContainer

          public LegendItemBlockContainer(Arrangement arrangement,
                                          int datasetIndex,
                                          int series)

      Deprecated. As of 1.0.6, use the other constructor.
      Creates a new legend item block.
      Parameters:
        `arrangement` - the arrangement.
        `datasetIndex` - the dataset index.
        `series` - the series index.

    - #### LegendItemBlockContainer

          public LegendItemBlockContainer(Arrangement arrangement,
                                          Dataset dataset,
                                          java.lang.Comparable seriesKey)

      Creates a new legend item block.
      Parameters:
        `arrangement` - the arrangement.
        `dataset` - the dataset.
        `seriesKey` - the series key.
      Since:
        1.0.6

  - ### Method Detail

    - #### getDataset

          public Dataset getDataset()

      Returns a reference to the dataset for the associated legend item.
      Returns:
        A dataset reference.
      Since:
        1.0.6

    - #### getSeriesKey

          public java.lang.Comparable getSeriesKey()

      Returns the series key.
      Returns:
        The series key.
      Since:
        1.0.6

    - #### getDatasetIndex

          public int getDatasetIndex()

      Deprecated. As of 1.0.6, use the `getDataset()` method.
      Returns the dataset index.
      Returns:
        The dataset index.

    - #### getSeriesIndex

          public int getSeriesIndex()

      Returns the series index.
      Returns:
        The series index.

    - #### getToolTipText

          public java.lang.String getToolTipText()

      Returns the tool tip text.
      Returns:
        The tool tip text (possibly `null`).
      Since:
        1.0.3

    - #### setToolTipText

          public void setToolTipText(java.lang.String text)

      Sets the tool tip text.
      Parameters:
        `text` - the text (`null` permitted).
      Since:
        1.0.3

    - #### getURLText

          public java.lang.String getURLText()

      Returns the URL text.
      Returns:
        The URL text (possibly `null`).
      Since:
        1.0.3

    - #### setURLText

          public void setURLText(java.lang.String text)

      Sets the URL text.
      Parameters:
        `text` - the text (`null` permitted).
      Since:
        1.0.3

    - #### draw

          public java.lang.Object draw(java.awt.Graphics2D g2,
                                       java.awt.geom.Rectangle2D area,
                                       java.lang.Object params)

      Draws the block within the specified area.
      Specified by:
        `draw` in interface `Block`
      Overrides:
        `draw` in class `BlockContainer`
      Parameters:
        `g2` - the graphics device.
        `area` - the area.
        `params` - passed on to blocks within the container (`null` permitted).
      Returns:
        An instance of `EntityBlockResult`, or `null`.